<script setup>
import {useAdaptation} from "@/utils/self-adaption.js";
import {sizes} from "@/dict/index.js";
import size375 from '@/views/details/size375/index.vue'
import {computed} from "vue";
import size768 from "@/views/details/size768/index.vue";
/*import size1440 from "@/views/details/size1440/index.vue";
import size1920 from "@/views/details/size1920/index.vue";*/
const {currentRange }= useAdaptation(sizes)
const viewComponent = computed(()=>{
  switch (currentRange.value?.minWidth){
    case '0px':
      return size375
    case '768px':
      return size768
 /*   case '1440px':
      return size1440
    case '1920px':
      return size1920*/
  }
})
</script>

<template>
  <component :is="viewComponent"></component>
</template>

<style scoped lang="scss">

</style>
